## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           nqp
Version:        2023.02
Release:        %autorelease
Summary:        Perl 6 compiler implementation that runs on MoarVM
License:        Artistic-2.0
URL:            https://github.com/Raku/nqp
Source0:        https://github.com/Raku/nqp/releases/download/%{version}/nqp-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl

BuildRequires:  moarvm-devel >= %{version}

Requires:       moarvm >= %{version}

%description
This is "Not Quite Perl" -- a lightweight Raku-like environment for virtual
machines. The key feature of NQP is that it's designed to be a very small
environment (as compared with, say, raku or Rakudo) and is focused on being
a high-level way to create compilers and libraries for virtual machines like
MoarVM, the JVM, and others.

%prep
%autosetup

%build
%{__perl} Configure.pl --backends=moar --prefix=%{_prefix}
%make_build

%install
%make_install

%check
make test

%files
%license LICENSE
%doc README.pod
%{_bindir}/nqp
%{_bindir}/nqp-m
%{_datadir}/nqp/lib/*.moarvm
%{_datadir}/nqp/lib/profiler

%changelog
* Wed Mar 08 2023 topazus <topazus@outlook.com> - 2023.02-2
- fix error of Empty %%files file debugsourcefiles.list

* Sat Feb 25 2023 topazus <topazus@outlook.com> - 2023.02-1
- update to 2023.02

* Sat Feb 18 2023 topazus <topazus@outlook.com> - 2022.12-1
- update to 2022.12

* Thu Feb 16 2023 Tomas Hrcka <thrcka@redhat.com> - 0.0.2020.07-7
- Unretirement request: https://pagure.io/releng/issue/11265

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2020.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2020.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2020.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2020.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Tom Stellard <tstellar@redhat.com> - 0.0.2020.07-2
- Add BuildRequires: make

* Wed Aug 12 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2020.07-1
- update to 2020.07

* Wed Aug 12 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2020.02-4
- add new missing perl dependencies

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2020.02-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2020.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 24 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2020.02-1
- update to 2020.02

* Thu Jan 30 2020 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2020.01-1
- update to 2020.01

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2019.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 30 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2019.11-1
- update to 2019.11

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2019.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Mar 19 2019 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2019.03-1
- update to 2019.03

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2018.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.2018.10-2
- Remove obsolete Group tag

* Mon Oct 29 2018 Pokorra, Gerd <pokorra@uni-siegen.de> - 0.0.2018.10-1
- update to 2018.10

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2018.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.05-1
- update to 2018.05

* Mon Apr 30 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.04.1-1
- update to 2018.04.1

* Thu Apr 26 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.04-5
- correction

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.04-4
- remove a ppc64 test

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.04-3
- remove a i686 test

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.04-2
- add necessary BuildRequires for perl-Digest-SHA

* Wed Apr 25 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.04-1
- update to 2018.04

* Sat Apr 07 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.03-1
- update to 2018.03

* Fri Feb 23 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.02-4
- korrect changelog entry

* Thu Feb 22 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.02-3
- remove some tests

* Thu Feb 22 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.02-2
- remove same tests

* Thu Feb 22 2018 gerd <gp@zimt.uni-siegen.de> - 0.0.2018.02-1
- update to 2018.02

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2017.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 14 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.08-3
- rebuild on top of current moarvm rebuild

* Mon Aug 28 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.08-2
- rebuild to install in _libdir again

* Tue Aug 22 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.08-1
- update to 2017.08

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2017.06-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2017.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 18 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.06-1
- update to 2017.06

* Mon May 08 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.04-4
- really rebuild with changed moarvm build

* Mon May 08 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.04-3
- rebuild agqin

* Mon May 08 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.04-2
- rebuild with changed moarvm build

* Mon May 01 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.04-1
- update to 2017.04

* Tue Mar 14 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.01-4
- simple rebuild

* Wed Mar 08 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.01-3
- add tests that do not fail

* Tue Mar 07 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.01-2
- rebuild with libdir configuration option

* Mon Feb 06 2017 gerd <gp@zimt.uni-siegen.de> - 0.0.2017.01-1
- update to 2017.01

* Tue Dec 13 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.11-1
- update to 2016.11

* Mon Oct 24 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.10-1
- update to 2016.10

* Sun Jul 24 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.07-3
- include jna

* Thu Jul 21 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.07-2
- use %%{_javadir}

* Tue Jul 19 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.07-1
- update to 2016.07, use the new configuration option 'with-jna'

* Fri Jun 24 2016 Petr Písař <ppisar@redhat.com> - 0.0.2016.02-3
- Mandatory Perl build-requires added
  <https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl>

* Sat Feb 27 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.02-2
- add-on to be conform with rpmlint

* Fri Feb 26 2016 gerd <gp@zimt.uni-siegen.de> - 0.0.2016.02-1
- update to 2016.02

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2015.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Gerd Pokorra <gz016@vgerd2.zimt.uni-siegen.de> - 0.0.2015.11-4
- remove a test at ppc

* Wed Dec 09 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.11-3
- really do not bundle jna

* Mon Dec 07 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.11-2
- do not bundle jna

* Tue Dec 01 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.11-1
- update to 2015.11

* Wed Sep 30 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.09.1-2
- remove subpackage jvm

* Mon Sep 28 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.09.1-1
- update to 2015.09.01

* Tue Jul 28 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.07.2-1
- update to 2015.07.2

* Fri Jun 19 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.06-1
- update to 2015.06

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.0.2015.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 01 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.05-1
- update to 2015.05

* Fri May 01 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.04-3
- disable jar repack again

* Wed Apr 29 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.04-2
- rebuild architecture independent

* Sun Apr 26 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2015.04-1
- update to 2015.04

* Mon Jan 26 2015 David Tardon <dtardon@redhat.com> - 0.0.2014.12-4
- rebuild for ICU 54.1

* Mon Jan 26 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.12-3
- commit correct source file

* Mon Jan 26 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.12-2
- little space/tab fixes

* Mon Jan 26 2015 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.12-1
- update to 2014.12

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 0.0.2014.04-3
- rebuild for ICU 53.1

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.0.2014.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.04-1
- update to 2014.04

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.0.2014.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 05 2014 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.03-4
- add subpackage jvm

* Fri Apr 04 2014 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.03-3
- add a comment while not all libtommath source files are deleted

* Thu Apr 03 2014 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.03-2
- add deleting of libtommath source files

* Thu Apr 03 2014 gerd <gp@zimt.uni-siegen.de> - 0.0.2014.03-1
- update to 2014.03 add flag has-libtommath

* Wed Feb 19 2014 Gerd Pokorra <gz016@vgerd1.zimt.uni-siegen.de> - 0.0.2014.01-1
- update to 2014.01

* Fri Feb 14 2014 David Tardon <dtardon@redhat.com> - 0.0.2013.09-2
- rebuild for new ICU

* Fri Oct 04 2013 gerd <pokorra@uni-siegen.de> - 0.0.2013.09-1
- nqp update according to parrot-5.5.0

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.0.2013.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 01 2013 gerd <gp@zimt.uni-siegen.de> - 0.0.2013.05-1
- update to current source 2013.05

* Thu Jan 31 2013 gerd <gp@zimt.uni-siegen.de> - 0.0.2013.01-1
- update to 2013.01

* Thu Nov 08 2012 gerd <gp@zimt.uni-siegen.de> - 0.0.2012.10-1
- update to 2012.10

* Wed Nov 07 2012 Peter Robinson <pbrobinson@gmail.com> - 0.0.2012.08.1-2
- Compile with distro CFLAGs and -fPIC

* Mon Sep 03 2012 gerd <gp@zimt.uni-siegen.de> - 0.0.2012.08.1-1
- update to current source 2012.08.1

* Thu Aug 30 2012 gerd <gp@zimt.uni-siegen.de> - 0.0.2012.07-1
- initial upload for nqp (07.2012)
